Ruby: copy_stream_struct Struct Reference

Ruby 3.2.5p208 (2024-07-26 revision 31d0f1a2e7dbfb60731d1f05b868e1d578cda493)

Data Fields
copy_stream_struct Struct Reference

## Data Fields
VALUE | src
VALUE | dst
rb_off_t | copy_length
rb_off_t | src_offset
rb_io_t * | src_fptr
rb_io_t * | dst_fptr
unsigned | close_src: 1
unsigned | close_dst: 1
int | error_no
rb_off_t | total
const char * | syserr
const char * | notimp
VALUE | th
struct stat | src_stat
struct stat | dst_stat

## Detailed Description

Definition at line 12352 of file io.c.

## Field Documentation

## ◆ close_dst

unsigned copy_stream_struct::close_dst

Definition at line 12361 of file io.c.

## ◆ close_src

unsigned copy_stream_struct::close_src

Definition at line 12360 of file io.c.

## ◆ copy_length

rb_off_t copy_stream_struct::copy_length

Definition at line 12355 of file io.c.

## ◆ dst

VALUE copy_stream_struct::dst

Definition at line 12354 of file io.c.

## ◆ dst_fptr

rb_io_t* copy_stream_struct::dst_fptr

Definition at line 12359 of file io.c.

## ◆ dst_stat

struct stat copy_stream_struct::dst_stat

Definition at line 12368 of file io.c.

## ◆ error_no

int copy_stream_struct::error_no

Definition at line 12362 of file io.c.

## ◆ notimp

const char* copy_stream_struct::notimp

Definition at line 12365 of file io.c.

## ◆ src

VALUE copy_stream_struct::src

Definition at line 12353 of file io.c.

## ◆ src_fptr

rb_io_t* copy_stream_struct::src_fptr

Definition at line 12358 of file io.c.

## ◆ src_offset

rb_off_t copy_stream_struct::src_offset

Definition at line 12356 of file io.c.

## ◆ src_stat

struct stat copy_stream_struct::src_stat

Definition at line 12367 of file io.c.

## ◆ syserr

const char* copy_stream_struct::syserr

Definition at line 12364 of file io.c.

## ◆ th

VALUE copy_stream_struct::th

Definition at line 12366 of file io.c.

## ◆ total

rb_off_t copy_stream_struct::total

Definition at line 12363 of file io.c.

The documentation for this struct was generated from the following file:

- io.c